> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qaip.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get web crawl data source details

> <p> Gets detailed information about a specific web crawl data source. </p> <p> Required roles: All </p>




## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/qaip/openapi.documented.yml get /crawls/{id}
openapi: 3.0.3
info:
  title: QAIP APIs
  version: 1.0.0
servers:
  - url: https://developer.qaip.com/api/v1
    description: API base path
security:
  - ApiKeyAuth: []
tags:
  - name: completions
    description: Generate completions
  - name: search
    description: Search content
  - name: extract
    description: Data extraction using LLM
  - name: tags
    description: List available tags
  - name: agent
    description: (Experimental) Agent operations
  - name: tag-source-groups
    description: Tag and source group associations
  - name: source-groups
    description: Source group (job) management and metadata
  - name: sources
    description: Sources management and metadata
  - name: local-file-groups
    description: Local file group management
  - name: secrets
    description: Secret management
  - name: google-drives
    description: Google Drive data source management
  - name: google-drive-settings
    description: Google Drive data source setting management
  - name: crawls
    description: Web crawl data source management
  - name: crawl-settings
    description: Web crawl setting management
  - name: githubs
    description: GitHub data source management
  - name: github-settings
    description: GitHub data source setting management
  - name: notions
    description: Notion data source management
  - name: notion-settings
    description: Notion data source setting management
  - name: authz-subject-attributes
    description: Authorization subject attribute management (admin only)
paths:
  /crawls/{id}:
    get:
      tags:
        - crawls
      summary: Get web crawl data source details
      description: >
        <p> Gets detailed information about a specific web crawl data source.
        </p> <p> Required roles: All </p>
      operationId: getCrawl
      parameters:
        - name: id
          in: path
          required: true
          description: Web crawl data source ID
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval of web crawl data source
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Crawl'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from qaip import Qaip

            client = Qaip(
                api_key=os.environ.get("QAIP_API_KEY"),  # This is the default and can be omitted
            )
            crawl = client.crawls.retrieve(
                "id",
            )
            print(crawl.id)
components:
  schemas:
    Crawl:
      type: object
      required:
        - id
        - name
        - start_url
        - status
      properties:
        id:
          type: string
          description: Web crawl data source ID
        ingestion_setting_id:
          type: string
          description: Web crawl ingestion setting ID
        name:
          type: string
          description: Name of the web crawl ingestion setting
        start_url:
          type: string
          description: Start URL of the web crawl
        creation_time:
          type: integer
          format: int64
          description: Creation time (Unix timestamp in seconds)
        status:
          $ref: '#/components/schemas/JobStatus'
        start_time:
          type: integer
          format: int64
          description: Job start time (Unix timestamp in seconds)
        end_time:
          type: integer
          format: int64
          description: Job end time (Unix timestamp in seconds)
        error:
          $ref: '#/components/schemas/JobError'
        metadata:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Metadata'
          description: >-
            (reserved for future use) Additional metadata for the web crawl data
            source
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              description: Human-readable error message
            type:
              type: string
              description: Machine-readable error code
    JobStatus:
      type: string
      enum:
        - unknown
        - queued
        - not_started
        - managed
        - starting
        - started
        - success
        - failure
        - canceling
        - canceled
        - deleting
        - delete_job_failure
      description: Job status
    JobError:
      type: object
      nullable: true
      properties:
        title:
          type: string
          description: Error title
        message:
          type: string
          description: Error message
    Metadata:
      type: object
      properties:
        records:
          type: array
          description: >-
            List of metadata records. A patch may contain up to 40 items; the
            merged result is capped at 20.
          maxItems: 40
          items:
            $ref: '#/components/schemas/MetadataRecord'
    MetadataRecord:
      type: object
      required:
        - key
        - val
      properties:
        key:
          type: string
          description: Metadata key (max 20 characters)
          maxLength: 20
        val:
          description: >-
            Metadata value (string max 50 characters, or number). Pass null to
            delete this key.
          nullable: true
          maxLength: 50
        type:
          $ref: '#/components/schemas/MetadataType'
          description: Data type of the metadata value. Required when val is not null.
    MetadataType:
      type: string
      enum:
        - string
        - integer
        - float
        - date
        - datetime
      description: Data type of the metadata value
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````